summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:38 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:38 +0200
commita7d895ffb279af211c25525831ee5dd978e6f91d (patch)
tree7990b2dc2f081b8edb30edee253cbcf029ef59fd /games
parentcf6120e31a899d9c497c1d780f6e8b2850497edc (diff)
downloadslackbuilds-a7d895ffb279af211c25525831ee5dd978e6f91d.tar.gz
slackbuilds-a7d895ffb279af211c25525831ee5dd978e6f91d.tar.xz
games/xaos: Added to 12.2 repository
Diffstat (limited to 'games')
-rw-r--r--games/xaos/README10
-rw-r--r--games/xaos/slack-desc19
-rw-r--r--games/xaos/xaos.SlackBuild101
-rw-r--r--games/xaos/xaos.info8
4 files changed, 138 insertions, 0 deletions
diff --git a/games/xaos/README b/games/xaos/README
new file mode 100644
index 0000000000..dfd1108a6d
--- /dev/null
+++ b/games/xaos/README
@@ -0,0 +1,10 @@
+XaoS is an interactive fractal zoomer. It allows the user to continuously
+to zoom in or out of a fractal in a fluid, continuous motion. This
+capability makes XaoS great for exploring fractals, and it’s just
+plain fun!
+
+Note to users of 64-bit and other non-x86 Slackware derivatives: if
+you want to be able to define your own fractal formulae, you'll need
+to install the GSL library, and run xaos.SlackBuild with USE_GSL=yes
+in the environment. Without GSL, you'll be limited to the fractals that
+are built in to the program (which is fine for most users anyway).
diff --git a/games/xaos/slack-desc b/games/xaos/slack-desc
new file mode 100644
index 0000000000..a0aba31fa2
--- /dev/null
+++ b/games/xaos/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xaos: xaos (an interactive fractal zoomer)
+xaos:
+xaos: XaoS is an interactive fractal zoomer. It allows the user to
+xaos: continuously to zoom in or out of a fractal in a fluid, continuous
+xaos: motion. This capability makes XaoS great for exploring fractals,
+xaos: and it’s just plain fun!
+xaos:
+xaos:
+xaos:
+xaos:
+xaos:
diff --git a/games/xaos/xaos.SlackBuild b/games/xaos/xaos.SlackBuild
new file mode 100644
index 0000000000..d1d6aa611d
--- /dev/null
+++ b/games/xaos/xaos.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for xaos
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# A few notes:
+#
+# Package really wants to use its own CFLAGS (even checks for them
+# in the configure script). Let it...
+#
+# SFFE is the user formula evaluator, which allows users to define their
+# own fractals. On x86 platforms, an assembly-language implementation of
+# SFFE is used. On non-x86 platforms, SFFE requires a library called GSL
+# (GNU Scientific Library, available from SBo).
+#
+# xaos is still interesting and useful without SFFE support (most users
+# probably don't know/care about the math, so they'll never use the SFFE
+# stuff anyway), so we'll just disable it on non-x86 platforms by default.
+#
+# If you really want to use it, set USE_GSL=yes in the environment before
+# running this script. There's no need to use GSL on x86 platforms, since
+# the asm code is (or should be) faster, but the option is there if you
+# want to use it anyway.
+#
+# Multilib (Slamd64) users also have the option of building on a 32-bit
+# Slackware system (or in a chroot) and the resulting package will run
+# just fine on 64-bit.
+#
+# If the preceding didn't make any sense, here's the bottom line:
+#
+# - Regular Slackware (x86) users can just run this script and ignore the junk
+# above.
+#
+# - Everyone else (Slamd64, Bluewhite64, Slackintosh, ???) can just
+# run this script and probably never notice the missing functionality.
+#
+# - If you're not on x86, but you want the formula evaluator, install GSL
+# and then run this script with USE_GSL=yes in the environment.
+
+PRGNAM=xaos
+APPNAM=XaoS
+VERSION=${VERSION:-3.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+USE_GSL=${USE_GSL:-no}
+
+if [ "$USE_GSL" = "yes" ]; then
+ GSL_OPT="yes"
+ SFFE_OPT="yes"
+elif [ "$ARCH" = "i486" -o "$ARCH" = "i686" ]; then
+ GSL_OPT="no"
+ SFFE_OPT="yes"
+else
+ GSL_OPT="no"
+ SFFE_OPT="no"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $APPNAM-$VERSION
+tar xvf $CWD/$APPNAM-$VERSION.tar.gz
+cd $APPNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --with-gsl=$GSL_OPT \
+ --with-sffe=$SFFE_OPT \
+ --mandir=/usr/man
+
+make
+# binary already stripped, yay!
+make install DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man6/$PRGNAM.6
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+# Damn thing ignores --docdir
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/$APPNAM/doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/xaos/xaos.info b/games/xaos/xaos.info
new file mode 100644
index 0000000000..c7bbf72922
--- /dev/null
+++ b/games/xaos/xaos.info
@@ -0,0 +1,8 @@
+PRGNAM="xaos"
+VERSION="3.4"
+HOMEPAGE="http://wmi.math.u-szeged.hu/xaos/doku.php"
+DOWNLOAD="http://downloads.sourceforge.net/xaos/XaoS-3.4.tar.gz"
+MD5SUM="366fd8151e9642a0d9afce889912e388"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVEd="Michiel" \ No newline at end of file